package com.njcn.pojo.advanced;

/**
 * @author njcn 
 * 定义接收httpRequest请求返回的数据对象
 * @param <T>
 */
public class EntityResultData<T> {
	private Integer code;// 标识
	private String description;// 描述
	private T object;// 封装返回数据对象

	public Integer getCode() {
		return code;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public T getObject() {
		return object;
	}

	public void setObject(T object) {
		this.object = object;
	}

	@Override
	public String toString() {
		return "EntityResultData [code=" + code + ", description=" + description + ", object=" + object + "]";
	}
}
